#ifndef __KERMITCOMMAND_H__
#define __KERMITCOMMAND_H__

#include "Command.h"

class KermitReceiveCommand : public Command
{
public:
    KermitReceiveCommand();
    virtual ~KermitReceiveCommand();
    virtual RESULT help(OutputStream &, TUINT32 level);
    virtual RESULT process(ModeContextList *, ParameterList *, OutputStream &);
    virtual RESULT cancel();
    virtual const char * format() const;
    virtual Command * create();
};

class KermitSendCommand : public Command
{
public:
    KermitSendCommand();
    virtual ~KermitSendCommand();
    virtual RESULT help(OutputStream &, TUINT32 level);
    virtual RESULT process(ModeContextList *, ParameterList *, OutputStream &);
    virtual RESULT cancel();
    virtual const char * format() const;
    virtual Command * create();
};

#endif // __KermitCOMMAND_H__

